<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
    <body>
        <script>
            var x = 6;
            var y = 14;
            var z = 4;
            x++;
            // Сначала ++, потом * , потом - ,в конце +=
            document.write("1 result = "+(x += y - x++ * z) +"<br />");
            var x = 6;
            var y = 14;
            var z = 4;
            --x; // -- , потом * , потом - и в конце =
            document.write("2 result = "+ (z = --x - y * 5) +"<br />");
            var x = 6;
            var y = 14;
            var z = 4;
            // %, потом + и в коцне /=
            document.write("3 result = " + (y /= x + 5 % z) + "<br />");
            var x = 6;
            var y = 14;
            var z = 4;
             x++;//++, потом *, потом + и в конце =
            document.write("4 result = "+ (z = x++ + y * 5) +"<br />");
            var x = 6;
            var y = 14;
            var z = 4;
            x++;// ++ , потом *, потом - и
            document.write("5 result = "+ (x = y - x++ * z) +"<br />");

 </script>
</body>
</html>
